# u (Update) command

Update older files in the archive and add files that are not already in the archive.

Note: the updating of solid .7z archives can be slow, since it can require some recompression.

#### Example

    7z u archive.zip *.doc

updates *.doc files to archive archive.zip.

#### Notes

7-Zip doesn't use the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-sfx (create SFX)
-si (use StdIn)
-so (use StdOut)
-sni (Store NT security information)
-sns (Store NTFS alternate Streams)
-ssw (Compress shared files)
-spf (Use fully qualified file paths)
-stl (Set archive timestamp from the most recently modified file)
-stx (Exclude archive type)
-t (Type of archive)
-u (Update)
-w (Working Dir)
-x (Exclude)

#### See also

Commands: a (Add), d (Delete),

Switches: -u (Update)